<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PermissionRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'scope'       => 'required|string',
            'description' => 'required|string',
            'bits'        => 'required|integer',
            'parent_id'   => 'nullable|integer',
        ];
    }
}
